# Yahoo! UI Library

### yuitest 2.5.2

Yahoo! UI Library > yuitest > YAHOO.util.ShouldError

Show Private Show Protected

## Class YAHOO.util.ShouldError - extends YAHOO.util.AssertionError

ShouldError is subclass of AssertionError that is thrown whenever a test is expected to throw an error but doesn't.

### Constructor

YAHOO.util.ShouldError `( message )`

Parameters:
  `message <String>` The message to display when the error occurs.

### Properties

#### name `- String`

The name of the error that occurred.

#### Properties inherited from YAHOO.util.AssertionError:

`name`

#### Methods inherited from YAHOO.util.AssertionError:

`getMessage, toString, valueOf`

Copyright © 2007 Yahoo! Inc. All rights reserved.